remove_typedarray_polyfill {plotly} | R Documentation

## Remove TypedArray polyfill

### Description

By default, plotly.js' TypedArray polyfill is included as a dependency, so printing "just works" in any context. Many users won't need this polyfill, so this function may be used to remove it and thus reduce the size of the page.

### Usage

    remove_typedarray_polyfill(p)

### Arguments

`p` | a plotly object

### Details

The polyfill seems to be only relevant for those rendering plots via phantomjs and RStudio on some Windows platforms.

### Examples

    ## Not run:
    p1 <- plot_ly()
    p2 <- remove_typedarray_polyfill(p1)
    t1 <- tempfile(fileext = ".html")
    htmlwidgets::saveWidget(p1, t1)
    file.info(t1)$size
    htmlwidgets::saveWidget(p2, t1)
    file.info(t1)$size

    ## End(Not run)

[Package plotly version 4.9.0 Index]